<template>
  <table>
    <tbody>
      <tr>
        <th>{{ $t('blood') }}</th>
        <td v-if="weeksOld >= bloodWait">
          {{ $t('yes') }}
        </td>
        <td v-else>
          ⏰ {{ $t('available_from', { date: nextDonation(bloodWait) }) }}
        </td>
      </tr>
      <tr>
        <th>{{ $t('plasma') }}</th>
        <td v-if="weeksOld >= plasmaWait">
          {{ $t('yes') }}
        </td>
        <td v-else>
          ⏰ {{ $t('available_from', { date: nextDonation(plasmaWait) }) }}
        </td>
      </tr>
      <tr>
        <th>{{ $t('platelets') }}</th>
        <td v-if="weeksOld >= plateletsWait">
          {{ $t('yes') }}
        </td>
        <td v-else>
          ⏰ {{ $t('available_from', { date: nextDonation(plateletsWait) }) }}
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script setup lang="ts">
interface Props {
  weeksOld: number
  nextDonation: (weeks: number) => string
  bloodWait: number
  plasmaWait: number
  plateletsWait: number
}

defineProps<Props>()
</script>
